Index: trunk/SophyaPI/PI/Makefile
===================================================================
--- trunk/SophyaPI/PI/Makefile	(revision 923)
+++ trunk/SophyaPI/PI/Makefile	(revision 924)
@@ -7,5 +7,5 @@
 	$(AR) $(ARFLAGS)  $@ $? 
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lPI -lSysTools -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
 endif 
  
@@ -16,12 +16,9 @@
 endif 
  
-$(OBJ)lut.o: lut.cc $(INC)machdefs.h \
- $(INC)pclassids.h lut.h
+$(OBJ)lut.o: lut.cc $(INC)machdefs.h lut.h
 $(OBJ)parradapter.o: parradapter.cc parradapter.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h lut.h
+ $(INC)machdefs.h lut.h
 $(OBJ)pi3ddrw.o: pi3ddrw.cc pi3ddrw.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pidrawer.h pibwdggen.h \
+ $(INC)machdefs.h pidrawer.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
@@ -32,6 +29,5 @@
  picons.h
 $(OBJ)piapplgen.o: piapplgen.cc piapplgen.h pimsghandler.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pisysdep.h picontainerx.h \
+ $(INC)machdefs.h pisysdep.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimenubarx.h pimenubargen.h \
  pimenux.h pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
@@ -39,6 +35,5 @@
  pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pisysdep.h picontainerx.h \
+ $(INC)machdefs.h pisysdep.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimenubarx.h pimenubargen.h \
  pimenux.h pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
@@ -46,6 +41,5 @@
  pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
  pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pidrawer.h \
@@ -55,28 +49,22 @@
  pimenubargen.h picons.h pibwdgx.h
 $(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pibwdggen.h piwdgx.h \
+ $(INC)machdefs.h pibwdggen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
  pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
  psfile.h pigraphps.h pixtbase.h
 $(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h picmapx.h picmapgen.h
+ $(INC)machdefs.h picmapx.h picmapgen.h
 $(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h picmapx.h picmap.h
+ $(INC)machdefs.h picmapx.h picmap.h
 $(OBJ)picmapview.o: picmapview.cc picmapview.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pibwdgx.h pibwdggen.h \
+ $(INC)machdefs.h pibwdgx.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraphps.h
 $(OBJ)picmapx.o: picmapx.cc piwdgx.h piwdggen.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pimsghandler.h picmapx.h \
+ $(INC)machdefs.h pimsghandler.h picmapx.h \
  picmapgen.h pisysdep.h
 $(OBJ)picons.o: picons.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pimenux.h pimenugen.h \
+ $(INC)machdefs.h pimenux.h pimenugen.h \
  piwdgx.h piwdggen.h pimsghandler.h picons.h pistdwdgx.h pistdwdggen.h \
  picontainerx.h picontainergen.h pibwdgx.h pibwdggen.h picmap.h \
@@ -84,19 +72,15 @@
  pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)picontainergen.o: picontainergen.cc picontainergen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h
 $(OBJ)picontainerx.o: picontainerx.cc picontainerx.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h picontainergen.h piwdgx.h \
+ $(INC)machdefs.h picontainergen.h piwdgx.h \
  piwdggen.h pimsghandler.h
 $(OBJ)pidrawer.o: pidrawer.cc $(INC)machdefs.h \
- $(INC)pclassids.h pidrawer.h pibwdggen.h \
- pisysdep.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h
+ pidrawer.h pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h \
+ picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+ pifontgen.h pigraphuc.h pievthandler.h psfile.h
 $(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwindowx.h piwindowgen.h \
+ $(INC)machdefs.h piwindowx.h piwindowgen.h \
  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
  piscdrawwdg.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
@@ -105,6 +89,5 @@
  pidrawer.h
 $(OBJ)pidrwtools.o: pidrwtools.cc pidrwtools.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pistdwdgx.h pistdwdggen.h \
+ $(INC)machdefs.h pistdwdgx.h pistdwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h pioptmenux.h pioptmenugen.h \
  pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
@@ -115,15 +98,12 @@
  pi3ddrw.h pigraph3d.h
 $(OBJ)pievthandler.o: pievthandler.cc pievthandler.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pimsghandler.h piwdgx.h \
+ $(INC)machdefs.h pimsghandler.h piwdgx.h \
  piwdggen.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
  pifontx.h pifontgen.h
 $(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h
 $(OBJ)pifilechox.o: pifilechox.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piapplx.h piapplgen.h \
+ $(INC)machdefs.h piapplx.h piapplgen.h \
  pimsghandler.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
  pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
@@ -133,48 +113,39 @@
  piwindowx.h piwindowgen.h
 $(OBJ)pifontgen.o: pifontgen.cc pigraphgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)pifontx.o: pifontx.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pifontx.h pifontgen.h \
+ $(INC)machdefs.h pifontx.h pifontgen.h \
  piwdgx.h piwdggen.h pimsghandler.h
 $(OBJ)pigraph3d.o: pigraph3d.cc pigraph3d.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pigraphuc.h pigraphgen.h \
+ $(INC)machdefs.h pigraphuc.h pigraphgen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
  pifontx.h pifontgen.h
 $(OBJ)pigraphgen.o: pigraphgen.cc pigraphgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pigraphgen.h piwdgx.h \
+ $(INC)machdefs.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h \
  pifontgen.h psfile.h
 $(OBJ)pigraphuc.o: pigraphuc.cc $(INC)machdefs.h \
- $(INC)pclassids.h pigraphuc.h pisysdep.h \
- pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h pifontx.h pifontgen.h
+ pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pigraphgen.h piwdgx.h \
+ $(INC)machdefs.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h \
  pifontgen.h
 $(OBJ)piimage.o: piimage.cc piimage.h parradapter.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h lut.h pisysdep.h \
- pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pipixmapx.h pipixmapgen.h \
- pibwdgx.h pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h picmapview.h \
- piimgtools.h pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h \
- piapplx.h piapplgen.h pimenubarx.h pimenubargen.h picons.h \
- pidrwtools.h piscdrawwdg.h
+ $(INC)machdefs.h lut.h pisysdep.h pidrawer.h \
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pipixmapx.h pipixmapgen.h pibwdgx.h \
+ pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h piwindowgen.h \
+ picontainerx.h picontainergen.h picmapview.h piimgtools.h \
+ pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piapplx.h \
+ piapplgen.h pimenubarx.h pimenubargen.h picons.h pidrwtools.h \
+ piscdrawwdg.h
 $(OBJ)piimgtools.o: piimgtools.cc piimgtools.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pistdwdgx.h pistdwdggen.h \
+ $(INC)machdefs.h pistdwdgx.h pistdwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h pioptmenux.h pioptmenugen.h \
  pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
@@ -185,14 +156,11 @@
  pidrawer.h pipixmapx.h pipixmapgen.h picmapview.h
 $(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h
 $(OBJ)pilistx.o: pilistx.cc pilistx.h pilistgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picontainerx.h picontainergen.h
 $(OBJ)pimenubargen.o: pimenubargen.cc pimenubargen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pimenux.h pimenugen.h \
+ $(INC)machdefs.h pimenux.h pimenugen.h \
  piwdgx.h piwdggen.h pimsghandler.h piapplx.h piapplgen.h \
  picontainerx.h picontainergen.h pimenubarx.h picons.h pistdwdgx.h \
@@ -201,6 +169,5 @@
  pievthandler.h psfile.h pigraphps.h
 $(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pimenux.h pimenugen.h \
+ $(INC)machdefs.h pimenux.h pimenugen.h \
  piwdgx.h piwdggen.h pimsghandler.h piapplx.h piapplgen.h \
  picontainerx.h picontainergen.h picons.h pistdwdgx.h pistdwdggen.h \
@@ -209,47 +176,36 @@
  psfile.h pigraphps.h
 $(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h
 $(OBJ)pimenux.o: pimenux.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pimenubarx.h \
- pimenubargen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
- pimsghandler.h
+ $(INC)machdefs.h pimenubarx.h pimenubargen.h \
+ pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h
 $(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h
+ $(INC)machdefs.h
 $(OBJ)pioptmenugen.o: pioptmenugen.cc pioptmenugen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pimenux.h pimenugen.h \
+ $(INC)machdefs.h pimenux.h pimenugen.h \
  piwdgx.h piwdggen.h pimsghandler.h
 $(OBJ)pioptmenux.o: pioptmenux.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pioptmenux.h \
- pioptmenugen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
- pimsghandler.h pistdwdgx.h pistdwdggen.h piapplx.h piapplgen.h \
- picontainerx.h picontainergen.h pimenubarx.h pimenubargen.h picons.h \
- pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h
+ $(INC)machdefs.h pioptmenux.h pioptmenugen.h \
+ pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h pistdwdgx.h \
+ pistdwdggen.h piapplx.h piapplgen.h picontainerx.h picontainergen.h \
+ pimenubarx.h pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)piperiodx.o: piperiodx.cc piwdgx.h piwdggen.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pimsghandler.h piperiodx.h \
+ $(INC)machdefs.h pimsghandler.h piperiodx.h \
  $(INC)periodic.h
 $(OBJ)pipixmapgen.o: pipixmapgen.cc pipixmapgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pibwdgx.h pibwdggen.h \
+ $(INC)machdefs.h pibwdgx.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraphps.h
 $(OBJ)pipixmapx.o: pipixmapx.cc pipixmapx.h pipixmapgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pibwdgx.h pibwdggen.h \
+ $(INC)machdefs.h pibwdgx.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraphps.h
 $(OBJ)piscdrawwdg.o: piscdrawwdg.cc \
- $(INC)machdefs.h \
- $(INC)pclassids.h piscdrawwdg.h pisysdep.h \
+ $(INC)machdefs.h piscdrawwdg.h pisysdep.h \
  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
@@ -260,51 +216,41 @@
  pimenubargen.h picons.h parradapter.h lut.h
 $(OBJ)pistdwdggen.o: pistdwdggen.cc pistdwdggen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h
 $(OBJ)pistdwdgx.o: pistdwdgx.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pistdwdgx.h pistdwdggen.h \
+ $(INC)machdefs.h pistdwdgx.h pistdwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picontainerx.h picontainergen.h
 $(OBJ)pistzwin.o: pistzwin.cc pistzwin.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h piwindowx.h piwindowgen.h \
+ $(INC)machdefs.h piwindowx.h piwindowgen.h \
  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
  piperiodx.h $(INC)periodic.h psfile.h \
  pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h
 $(OBJ)pisurfdr.o: pisurfdr.cc pisurfdr.h parradapter.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h lut.h pi3ddrw.h pisysdep.h \
+ $(INC)machdefs.h lut.h pi3ddrw.h pisysdep.h \
  pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
  pigraphuc.h pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h
 $(OBJ)piwdggen.o: piwdggen.cc piwdggen.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pimsghandler.h \
+ $(INC)machdefs.h pimsghandler.h \
  picontainergen.h pisysdep.h piwdgx.h pievthandler.h pigraphx.h \
  pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h \
  psfile.h
 $(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pimsghandler.h \
+ $(INC)machdefs.h pimsghandler.h \
  picontainerx.h pisysdep.h picontainergen.h pievthandler.h pigraphx.h \
  pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)piwindowgen.o: piwindowgen.cc piwindowgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h picontainerx.h \
+ $(INC)machdefs.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h psfile.h \
  pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h
 $(OBJ)piwindowx.o: piwindowx.cc piwindowx.h piwindowgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h picontainerx.h \
+ $(INC)machdefs.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h
 $(OBJ)pixtbase.o: pixtbase.cc pixtbaseP.h pibwdgx.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pibwdggen.h piwdgx.h \
+ $(INC)machdefs.h pibwdggen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
  pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
  psfile.h pigraphps.h pixtbase.h
 $(OBJ)psfile.o: psfile.cc psfile.h $(INC)machdefs.h \
- $(INC)pclassids.h pisysdep.h pifontgen.h \
- pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h pifontx.h
+ pisysdep.h pifontgen.h pigraphgen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h
Index: trunk/SophyaPI/PIext/Makefile
===================================================================
--- trunk/SophyaPI/PIext/Makefile	(revision 923)
+++ trunk/SophyaPI/PIext/Makefile	(revision 924)
@@ -7,5 +7,5 @@
 	$(AR) $(ARFLAGS)  $@ $? 
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lPIext -lSysTools -lTArray -lNTools -lHiStats -lSkyMap -lSamba -lSkyT -lFitsIOServer -lIFFTW -lLinAlg -lPI -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
 endif 
  
@@ -17,7 +17,6 @@
  
 $(OBJ)basexecut.o: basexecut.cc piacmd.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h dlftypes.h basexecut.h \
- $(INC)pdlmgr.h \
+ $(INC)machdefs.h dlftypes.h \
+ $(INC)pdlmgr.h basexecut.h \
  $(INC)ctimer.h pistdimgapp.h \
  $(INC)pisysdep.h \
@@ -92,7 +91,102 @@
  $(INC)generaldata.h \
  $(INC)poly.h
+$(OBJ)nobjmgr.o: nobjmgr.cc $(INC)strutil.h \
+ $(INC)datatypes.h \
+ $(INC)machdefs.h nobjmgr.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h dlftypes.h servnobjm.h \
+ $(INC)pdlmgr.h nomgadapter.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h pistdimgapp.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h piacmd.h pisiadw.h \
+ $(INC)pilistx.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h \
+ $(INC)fitsioserver.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tmatrix.h \
+ $(INC)tvector.h \
+ $(INC)skymap.h \
+ $(INC)spherethetaphi.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)spherehealpix.h \
+ $(INC)localmap.h \
+ $(INC)fiospherethetaphi.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)fiolocalmap.h \
+ $(INC)ntuple.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)perrors.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h \
+ $(INC)pisurfdr.h pipodrw.h \
+ $(INC)histos2.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)histos.h pintuple.h pintup3d.h \
+ pigfd1.h $(INC)generaldata.h \
+ $(INC)poly.h pigfd2.h
 $(OBJ)nomgadapter.o: nomgadapter.cc \
- $(INC)machdefs.h \
- $(INC)pclassids.h nomgadapter.h \
+ $(INC)machdefs.h nomgadapter.h \
  $(INC)ppersist.h \
  $(INC)pexceptions.h \
@@ -119,6 +213,5 @@
  $(INC)ntupintf.h
 $(OBJ)nomgfdadapter.o: nomgfdadapter.cc \
- $(INC)machdefs.h \
- $(INC)pclassids.h nomgfdadapter.h \
+ $(INC)machdefs.h nomgfdadapter.h \
  nomgadapter.h $(INC)ppersist.h \
  $(INC)pexceptions.h \
@@ -161,6 +254,5 @@
  $(INC)histos.h
 $(OBJ)nomhistadapter.o: nomhistadapter.cc \
- $(INC)machdefs.h \
- $(INC)pclassids.h nomhistadapter.h \
+ $(INC)machdefs.h nomhistadapter.h \
  nomgadapter.h $(INC)ppersist.h \
  $(INC)pexceptions.h \
@@ -220,6 +312,5 @@
  $(INC)pdlmgr.h dlftypes.h
 $(OBJ)nomimagadapter.o: nomimagadapter.cc \
- $(INC)machdefs.h \
- $(INC)pclassids.h nomimagadapter.h \
+ $(INC)machdefs.h nomimagadapter.h \
  nomgadapter.h $(INC)ppersist.h \
  $(INC)pexceptions.h \
@@ -253,6 +344,5 @@
  $(INC)objfio.h pimgadapter.h
 $(OBJ)nomskymapadapter.o: nomskymapadapter.cc \
- $(INC)machdefs.h \
- $(INC)pclassids.h nomskymapadapter.h \
+ $(INC)machdefs.h nomskymapadapter.h \
  nomgadapter.h $(INC)ppersist.h \
  $(INC)pexceptions.h \
@@ -291,14 +381,17 @@
  $(INC)longlat.h \
  $(INC)utilgeom.h \
+ $(INC)skymap.h \
  $(INC)spherethetaphi.h \
  $(INC)sphericalmap.h \
  $(INC)smathconst.h \
  $(INC)tvector.h \
- $(INC)spheregorski.h \
- $(INC)localmap.h pitvmaad.h \
+ $(INC)spherehealpix.h \
+ $(INC)localmap.h \
+ $(INC)fiospherethetaphi.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)fiolocalmap.h pitvmaad.h \
  $(INC)complexios.h
 $(OBJ)nomspecrespadapter.o: nomspecrespadapter.cc \
- $(INC)machdefs.h \
- $(INC)pclassids.h nomspecrespadapter.h \
+ $(INC)machdefs.h nomspecrespadapter.h \
  nomgadapter.h $(INC)ppersist.h \
  $(INC)pexceptions.h \
@@ -337,5 +430,4 @@
 $(OBJ)nomtmatvecadapter.o: nomtmatvecadapter.cc \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)tvector.h \
  $(INC)tmatrix.h \
@@ -383,5 +475,4 @@
  $(INC)objfio.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)anydataobj.h \
  $(INC)ppersist.h \
@@ -403,7 +494,6 @@
  $(INC)ntuple.h \
  $(INC)ntupintf.h pawexecut.h piacmd.h \
- dlftypes.h nobjmgr.h servnobjm.h \
- $(INC)pdlmgr.h pistdimgapp.h \
- $(INC)pisysdep.h \
+ dlftypes.h $(INC)pdlmgr.h nobjmgr.h \
+ servnobjm.h pistdimgapp.h $(INC)pisysdep.h \
  $(INC)piapplx.h \
  $(INC)piapplgen.h \
@@ -454,6 +544,5 @@
  $(INC)periodic.h
 $(OBJ)piacmd.o: piacmd.cc piacmd.h $(INC)machdefs.h \
- $(INC)pclassids.h dlftypes.h basexecut.h \
- $(INC)pdlmgr.h \
+ dlftypes.h $(INC)pdlmgr.h basexecut.h \
  $(INC)ctimer.h pistdimgapp.h \
  $(INC)pisysdep.h \
@@ -520,5 +609,4 @@
  $(INC)nbtri.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)generalfit.h \
  $(INC)pexceptions.h \
@@ -605,5 +693,4 @@
  $(INC)objfio.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)anydataobj.h \
  $(INC)ppersist.h \
@@ -643,5 +730,4 @@
  $(INC)objfio.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)anydataobj.h \
  $(INC)ppersist.h \
@@ -685,5 +771,4 @@
  $(INC)objfio.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)anydataobj.h \
  $(INC)ppersist.h \
@@ -721,5 +806,4 @@
  $(INC)pimsghandler.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)pisysdep.h \
  $(INC)picontainerx.h \
@@ -771,12 +855,12 @@
  $(INC)piwindowgen.h \
  $(INC)pidrawer.h \
- $(INC)nbrandom.h
-$(OBJ)piinit.o: piinit.cc $(INC)machdefs.h \
- $(INC)pclassids.h piinit.h \
+ $(INC)nbrandom.h \
+ $(INC)srandgen.h
+$(OBJ)piinit.o: piinit.cc $(INC)machdefs.h piinit.h \
  $(INC)sambainit.h \
  $(INC)skymapinit.h \
- $(INC)tarrinit.h \
  $(INC)sophyainit.h \
- $(INC)ntoolsinit.h pistdimgapp.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h pistdimgapp.h \
  $(INC)pisysdep.h \
  $(INC)piapplx.h \
@@ -825,5 +909,6 @@
  $(INC)ppersist.h \
  $(INC)pexceptions.h \
- $(INC)gnumd5.h dlftypes.h piacmd.h pisiadw.h \
+ $(INC)gnumd5.h dlftypes.h piacmd.h \
+ $(INC)pdlmgr.h pisiadw.h \
  $(INC)pilistx.h \
  $(INC)pilistgen.h \
@@ -831,6 +916,6 @@
  $(INC)piperiodx.h \
  $(INC)periodic.h servnobjm.h \
- $(INC)pdlmgr.h nomhistadapter.h \
- nomgadapter.h $(INC)ntupintf.h \
+ nomhistadapter.h nomgadapter.h \
+ $(INC)ntupintf.h \
  $(INC)histos.h \
  $(INC)objfio.h \
@@ -865,5 +950,5 @@
  $(INC)sphericalmap.h \
  $(INC)smathconst.h \
- $(INC)spheregorski.h \
+ $(INC)spherehealpix.h \
  $(INC)localmap.h \
  $(INC)specrespvector.h \
@@ -873,5 +958,4 @@
  $(INC)ntupintf.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)pi3ddrw.h \
  $(INC)pisysdep.h \
@@ -897,5 +981,4 @@
  $(INC)ntupintf.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)pidrawer.h \
  $(INC)pibwdggen.h \
@@ -916,5 +999,4 @@
 $(OBJ)pipodrw.o: pipodrw.cc pipodrw.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)pidrawer.h \
  $(INC)pibwdggen.h \
@@ -958,5 +1040,4 @@
  $(INC)poly.h
 $(OBJ)pisiadw.o: pisiadw.cc $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)perrors.h \
  $(INC)pexceptions.h \
@@ -1009,14 +1090,13 @@
  $(INC)anydataobj.h \
  $(INC)ppersist.h \
- $(INC)gnumd5.h dlftypes.h piacmd.h pisiadw.h \
+ $(INC)gnumd5.h dlftypes.h piacmd.h \
+ $(INC)pdlmgr.h pisiadw.h \
  $(INC)pilistx.h \
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
  $(INC)piperiodx.h \
- $(INC)periodic.h servnobjm.h \
- $(INC)pdlmgr.h
+ $(INC)periodic.h servnobjm.h
 $(OBJ)pistdimgapp.o: pistdimgapp.cc \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)strutil.h \
  $(INC)timing.h \
@@ -1077,5 +1157,6 @@
  $(INC)pi3ddrw.h \
  $(INC)pigraph3d.h nobjmgr.h dlftypes.h \
- piacmd.h pisiadw.h $(INC)pilistx.h \
+ piacmd.h $(INC)pdlmgr.h pisiadw.h \
+ $(INC)pilistx.h \
  $(INC)pilistgen.h \
  $(INC)pistzwin.h \
@@ -1098,11 +1179,10 @@
  $(INC)sambainit.h \
  $(INC)skymapinit.h \
- $(INC)tarrinit.h \
  $(INC)sophyainit.h \
  $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
  $(INC)piversion.h piaversion.h
 $(OBJ)pitvmaad.o: pitvmaad.cc pitvmaad.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)parradapter.h \
  $(INC)lut.h \
@@ -1121,5 +1201,4 @@
 $(OBJ)servnobjm.o: servnobjm.cc $(INC)strutil.h \
  nobjmgr.h $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)anydataobj.h \
  $(INC)ppersist.h \
@@ -1203,3 +1282,3 @@
  $(INC)piscdrawwdg.h \
  $(INC)pisurfdr.h pintuple.h pintup3d.h \
- pipodrw.h
+ pipodrw.h $(INC)pclassids.h
